Topic: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

I just installed WP-Simpleviewer on my wordpress site and everytime I add Flickr gallery/tag on my page, I get the error when viewing the page:

SimpleViewer requires JavaScript and the Flash Player.
Get Flash.

I have flash installed and I tried to search for answer here, but no luck.

help?

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

Please post a URL to your gallery so that we can take a look.

Steven Speirs
SimpleViewer Support Team.

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

http://tinyurl.com/3zepweo

thanks!

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

Are you able to successfully add a SimpleViewer gallery whose source of image is the WordPress Media Library rather than Flickr or does this happen only when using Flickr?

There may be a conflict between WP-SimpeViewer WordPress Plugin and another plugin you have installed.
Try temporarily disabling your active plugins one by one (clearing your browser's cache and viewing your web page after each one) to see if the SimpleViewer gallery is displayed correctly.

You could also try editing the 'wp-content/plugins/wp-simpleviewer/wp-simpleviewer.php' file and adding:

jQuery.noConflict();

... on line 824, immediately before the line:

jQuery(document).ready(function () {
Steven Speirs
SimpleViewer Support Team.

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

Steven Speirs wrote:

Are you able to successfully add a SimpleViewer gallery whose source of image is the WordPress Media Library rather than Flickr or does this happen only when using Flickr?

There may be a conflict between WP-SimpeViewer WordPress Plugin and another plugin you have installed.
Try temporarily disabling your active plugins one by one (clearing your browser's cache and viewing your web page after each one) to see if the SimpleViewer gallery is displayed correctly.

You could also try editing the 'wp-content/plugins/wp-simpleviewer/wp-simpleviewer.php' file and adding:

jQuery.noConflict();

... on line 824, immediately before the line:

jQuery(document).ready(function () {

did what you asked me to do, still not working. I tried using the Wordpress gallery, still the same error... =T

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

OK.  Thanks for trying.
Perhaps the conflict is with some JavaScript being loaded by your theme.
Could you temporarily change your theme and activate the default TwentyTen theme to see if this make a difference?
If we figure out where the conflict is (if indeed there is one), we have a better chance of finding a fix.
Thanks.

Steven Speirs
SimpleViewer Support Team.

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

Steven Speirs wrote:

OK.  Thanks for trying.
Perhaps the conflict is with some JavaScript being loaded by your theme.
Could you temporarily change your theme and activate the default TwentyTen theme to see if this make a difference?
If we figure out where the conflict is (if indeed there is one), we have a better chance of finding a fix.
Thanks.

Steven,
You're right, it must be the theme I'm using. I switched to default 20/10 theme and it worked, however it says "Flickr user not found", this error is most likely on my end.

Now we know its my theme, is there any way around it? Once you help me fix this problem, I will purchase the pro version right away. I will switch back to the other theme, maybe you can find the solution to my problem. If you need access to my WordPress, let me know where to send my login info.

Thanks Steven!

B.

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

WhiteSeaBass, just out of curiosity, what theme are you using? I'm having the same problem with WP 2.1.2 and I'm using Weaver.

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

Theme I'm using right now is called "LooseLeaf".

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

@WhiteSeaBass
Thank you for testing.  I have reported the conflict as a bug.

@Brigitte
I have just installed and activated the 'Weaver' theme and my SimpleViewer galleries (created both before and after installing the theme) are fine.
What happens if you change your theme to the default TwentyTen?  Do your SimpleViewer gallery display OK?
If not, then perhaps you have a similar conflict but with a plugin rather than with a theme.
If you could determine which plugin (if it is, indeed, a plugin) is conflicting with WP-SimpleViewer, by temporarily deactivating your plugins one by one and then clearing your browser's cache and viewing your galleries, it may help us in finding the root of the problem.  Thank you.

Steven Speirs
SimpleViewer Support Team.

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

so what can we do right now to solve this?

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

Unfortunately, LooseLeaf is not a free theme so I cannot download it and experiment to try to find a workaround.
The theme loads a lot of JavaScript files and the conflict could be with one or many of them.
I have, however, reported the bug to the developers.

Steven Speirs
SimpleViewer Support Team.

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

One requirement of WP-SimpleViewer plugin is that the Wordpress theme follows the standard WordPress coding guidelines and has a wp_head call in the header. If the theme does not include this call then SimpleViewer will not work.

Felix Turner
SimpleViewer Support Team.

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

Felix/Steve, I can send you guys the theme, just let me know where to send it. Really need to get this working, I was looking to customize the SimpleViewer Pro. Let me know... thanks!

B.

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

Please try using a different theme and see if that fixes it.

Felix Turner
SimpleViewer Support Team.

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

I did, I used the default theme, and it worked.

I think its the Looseleaf theme that's causing the plugin to not work.

I have to use the Looseleaf theme since client has paid for it.

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

Possibly it is the fact that the theme does not include the wp_head call in the theme header.

WP-SimpleViewer requires the WordPress theme to call the wp_head function in the theme's header.php file: http://codex.wordpress.org/Plugin_API/A … ce/wp_head

Please check with the theme developers.

Felix Turner
SimpleViewer Support Team.

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

Steven Speirs wrote:

@WhiteSeaBass
Thank you for testing.  I have reported the conflict as a bug.

@Brigitte
I have just installed and activated the 'Weaver' theme and my SimpleViewer galleries (created both before and after installing the theme) are fine.
What happens if you change your theme to the default TwentyTen?  Do your SimpleViewer gallery display OK?
If not, then perhaps you have a similar conflict but with a plugin rather than with a theme.
If you could determine which plugin (if it is, indeed, a plugin) is conflicting with WP-SimpleViewer, by temporarily deactivating your plugins one by one and then clearing your browser's cache and viewing your galleries, it may help us in finding the root of the problem.  Thank you.

Hi Steven,

Thanks for pointing out the plugins! The plugin that's causing the problem is "jQuery Lightbox" by Pedro Lamas. With the plugin disabled and an upgrade to 2.1.2 I'm now getting a rather mangled display but I know that's due to a known bug (percentage rather than pixel width). The Flash Player/Javascript error is gone. Hope this helps resolving similar issues.

Re: SimpleViewer requires JavaScript and the Flash Player. Get Flash.

@Brigitte
Thank you for finding the conflicting plugin.
This has been noted and will hopefully help us with compatibility issues in future versions.

Steven Speirs
SimpleViewer Support Team.